summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD22
1 files changed, 18 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6b357307b65..a13b19a0976 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=evdi
pkgver=1.5.1
-pkgrel=1
+pkgrel=2
pkgdesc="A Linux® kernel module that enables management of multiple screens."
arch=('i686' 'x86_64')
url="https://github.com/DisplayLink/evdi"
@@ -19,12 +19,26 @@ backup=()
options=()
install=$pkgname.install
changelog=$pkgname.Changelog
-source=($pkgname-$pkgver-$pkgrel.tar.gz::https://github.com/DisplayLink/evdi/archive/v$pkgver.tar.gz)
+source=($pkgname-$pkgver-$pkgrel.tar.gz::https://github.com/DisplayLink/evdi/archive/v$pkgver.tar.gz
+ force_output.patch
+ relro.patch)
noextract=()
-md5sums=('20a69bf61aef388019afb283bb03ea29')
+md5sums=('20a69bf61aef388019afb283bb03ea29'
+ '8ebc776d731166661106b1fb3eeb306c'
+ '05e64dd295a66c030139d0c8f6f7013b')
+prepare() {
+ cd "$pkgname-$pkgver"
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ patch -Np1 < "../$src"
+ done
+}
build() {
-# We only need to build the library in this step, dmks will build the module
+# We only need to build the library in this step, dkms will build the module
cd "$pkgname-$pkgver/library"
make